# 安装
在 `node v20` 及以上版本中，安装依赖库

> npm install

## 编译
编译该项目

> npm run build

编译结束后会产生 `.output` 目录，将 `.output` 目录内的内容，压缩到 `.output.tar` 压缩文件内

通过 `ssh` 工具，比如 `MobaXterm`，连接 `192.168.0.4` 服务器

## 前置准备

### 安装 Postgres 容器
通过 `Docker` 安装 `Postgres` 容器，并设置初始用户名密码为 `postgres` ，初始数据库为 `postgres`

> docker run postgres:12 /bin/bash -p 25556:5432

### 安装 Redis
通过 `Docker` 安装

> docker run redis:5 /bin/bash -p 25557:6379

### 安装 Zookeeper

`192.168.0.4` 服务器已安装

## 服务器
通过 `Docker` 创建一个服务容器

> docker run -it node:16 /bin/bash -p 30000:8080

将压缩文件上传到 `192.168.0.4` 服务器内，再通过命令导入到容器内

> docker cp /var/.output.tar [容器ID]:/var/.output.tar

通过命令进入容器内

> docker exec -it [容器ID] bash

在目录内创建文件夹并解压缩

> cd /var  
> rm -rf nuxt-backend-helper  
> mkdir nuxt-backend-helper  
> mv .output.tar ./nuxt-backend-helper  
> cd nuxt-backend-helper  
> tar -xvf .output.tar

执行命令启动服务

> NUXT_PG_HOST=192.168.0.4 NUXT_PG_PORT=25556 NUXT_PG_USER=postgres NUXT_PG_PASSWORD=postgres NUXT_PG_DATABASE=postgres NUXT_PUBLIC_DOCKER_HOST=192.168.0.4 PORT=8080 node ./server/index.mjs

命令具有以下参数：

* **`NUXT_PG_HOST`**: PG 数据库宿主机 ip  
* **`NUXT_PG_PORT`**: PG 数据库宿主机端口  
* **`NUXT_PG_USER`**: PG 数据库用户名  
* **`NUXT_PG_PASSWORD`**: PG 数据库密码  
* **`NUXT_PG_DATABASE`**: PG 数据库表名  
* **`NUXT_PUBLIC_DOCKER_HOST`**: 容器宿主机 IP  
* **`PORT`**: 服务端口